Webhooks

Set my webhook URL

Stores a pending webhook URL for the authenticated user. WUTS automatically applies this URL, subscribed to every available event, when the user creates and connects a new device.

POST
/user/webhook

Stores a pending webhook URL for the authenticated user. WUTS automatically applies this URL, subscribed to every available event, when the user creates and connects a new device.

Authorization

bearerAuth
AuthorizationBearer <token>

Per-user API token (UUID v4) sent as Authorization: Bearer <token>. Identifies the tenant and user.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/user/webhook" \  -H "Content-Type: application/json" \  -d '{    "webhook_url": "https://app.example.com/webhook"  }'
{  "success": true,  "message": "Webhook URL configured. It will be automatically applied to new devices with ALL available events",  "data": {    "webhook_url": "https://app.example.com/webhook",    "available_events": [      "message.received",      "message.sent",      "device.connected",      "device.disconnected"    ],    "events_count": 57  }}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}